Skip to main content
GET
Get Source

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

sourceId
number<double>
required

The id of the source

Response

Ok

The database or warehouse where your data is stored. The starting point for a Hightouch data pipeline.

id
number<double>
required

The source's id

name
string
required

The source's name

slug
string
required

The source's slug

workspaceId
number<double>
required

The id of the workspace that the source belongs to

createdAt
string<date-time>
required

The timestamp when the source was created

updatedAt
string<date-time>
required

The timestamp when the source was last updated

configuration
object
required

The source's configuration. This specifies general metadata about sources, like connection details Hightouch will use this configuration to connect to underlying source.

The schema depends on the source type.

Consumers should NOT make assumptions on the contents of the configuration. It may change as Hightouch updates its internal code.

type
string
required

The source's type (e.g. snowflake or postgres).